Subject: bug#27991: 26.0.50; TRAMP on OSX to Windows: smbclient not available

From: Alan Third <[email-masked]>
Date: Tue, 8 Aug 2017 23:28:43 +0100

On Mon, Aug 07, 2017 at 05:07:45PM -0700, James Nguyen wrote:
> To clarify, at this point, I'm not sure if it's a problem on my end, a
> known issue, a problem with Emacs (unlikely), on Apple, etc.
> 
> If someone with a recent version of OSX can chime in, that'd be great!

I don’t have smbclient either, and a quick look about the ’net implies
it’s not been available on macOS since at least 2012.

Homebrew have removed their samba package because modern versions
don’t build on macOS, so that’s not even an option.

It seems the only way to access SMB shares is to mount them.
-- 
Alan Third